#pragma once
#include <common.h>
#include <color.h>

namespace render{
namespace gui{

void init();
void free();

void flush();

struct textVert
{
    vec2f vert;
    float scale;
    vec2f uv;
    color::rgba color;
};

void text(const textVert*, uint count);

}
}
